Issue 121420 - ([sidebar]) Add sidebar feature
([sidebar])
Add sidebar feature
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on: 121787 121788 121789 121790 121791 121792 121793 121794 121795 121796 121797 121798 121799 121938 121939 121941 121961 121981 121994 121995 122025 122026 122027 122028 122030 122038 122041 122047 122048 122049 122052 122054 122056 122057 122058 122059 122067 122070 122074 122079 122082 122085 122086 122087 122093 122095 122096 122105 122106 122111 122116 122118 122119 122120 122121 122124 122126 122127 122128 122129 122130 122131 122134 122135 122136 122137 122138 122139 122140 122142 122143 122144 122146 122148 122157 122159 122166 122178 122186 122194 122218 122219 122230 122247 122251 122254 122255 122260 122270 122271 122272 122275 122291 122298 122302 122310 122315 122320 122321 122323 122329 122332 122335 122336 122352 122354 122366 122372 122377 122380 122387 122394 122405 122437 122446 122453 122455 122470 122491 122493 122529 122633 122635 122651 122652
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-29 15:14 UTC by Andre
Modified: 2013-07-15 13:06 UTC (History)
9 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2012-11-29 15:14:21 UTC
Implement a sidebar for all applications.

This involves extending the API, migrating code from the Symphony branch and implementing new functionality.

Details will follow.
Comment 1 SVN Robot 2012-12-06 10:05:04 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Activated the existing but incomplete sidebar code.
Comment 2 SVN Robot 2012-12-10 09:35:12 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Added UNO interface and service descriptions.
Comment 3 SVN Robot 2012-12-19 15:29:33 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Sidebar can read configuration and display XUIElements provided by e...
Comment 4 SVN Robot 2013-01-11 16:41:10 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Added theming, tab bar, menu, initial support for legacy addons.
Comment 5 SVN Robot 2013-01-21 10:29:03 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Migration of text properties.
Comment 6 SVN Robot 2013-01-29 08:14:10 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Extended theming.  General improvements of the sidebar.
Comment 7 SVN Robot 2013-02-07 10:38:13 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420: Gallery now able to relayout automatically
Comment 8 SVN Robot 2013-02-11 10:02:16 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420 First changes for FillStyle panel
Comment 9 SVN Robot 2013-02-18 14:23:24 UTC
"alg" committed SVN 0 into branches/sidebar:
#i121420 Corrections to AreaPropertyPanel
Comment 10 SVN Robot 2013-02-18 14:25:59 UTC
"alg" committed SVN 0 into branches/sidebar:
#i121420 moved images to symphony dir, pngcrushed images
Comment 11 SVN Robot 2013-02-19 09:09:03 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Added support for Impress panels.  Modified sidebar configuration sc...
Comment 12 jsc 2013-02-19 09:48:33 UTC
create a new issue for each panel which gets migrated from the Symphony code. Please use the detailed issue from now on when you commit code
Comment 13 SVN Robot 2013-02-19 13:29:47 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Cleanup.
Comment 14 SVN Robot 2013-02-19 17:43:27 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420 adding basic LinePropertyPanel
Comment 15 SVN Robot 2013-02-20 09:43:29 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Fixed DataChange() handling in sidebar title bars.  SidebarControlle...
Comment 16 SVN Robot 2013-02-20 19:33:41 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420 first version of TransformPropertyPanel and corrections/additions
Comment 17 SVN Robot 2013-02-20 19:59:53 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420 Added ShowMenu() capabilities to geometric panels
Comment 18 SVN Robot 2013-02-21 10:23:03 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420 Added Background windows for ToolBoxes
Comment 19 SVN Robot 2013-02-21 13:32:21 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420 first version of GraphicPropertyPanel, some corrections
Comment 20 SVN Robot 2013-02-21 16:45:55 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420 adaptions to ToolboxButtonColorUpdater to know sizes of sidebar color...
Comment 21 SVN Robot 2013-02-22 13:50:45 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Impress panels do not use the drawing framework anymore.
Comment 22 SVN Robot 2013-02-22 14:04:31 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Fixed Linux build problems.
Comment 23 SVN Robot 2013-02-27 10:13:30 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Added a color panel that displays StyleSettings colors (for debugging).
Comment 24 SVN Robot 2013-02-27 18:10:43 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420: Enhancements on the four svx-based panels, Area, Line, Graphic and T...
Comment 25 SVN Robot 2013-02-27 18:16:38 UTC
"alg" committed SVN 0 into branches/sidebar:
i121420: Found no way to define doubles in sdi files, commented out for now
Comment 26 SVN Robot 2013-03-05 12:17:10 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Fixed some crashes. Reorganized svx/source/sidebar directory structu...
Comment 27 SVN Robot 2013-03-07 15:50:12 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# deliver header files for svx::side::Popup
Comment 28 SVN Robot 2013-03-08 11:16:11 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - extend sfx2::sidebar::Theme by colors for highlight selection and ...
Comment 29 SVN Robot 2013-03-08 12:46:47 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - new svx::sidebar::ValueSetWithTextControl - specialized <ValueSet>...
Comment 30 SVN Robot 2013-03-08 13:18:44 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# minor correction - remove wrong line ends
Comment 31 SVN Robot 2013-03-08 14:37:03 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - svx::sidebar::Popup::Show(..) - do not show, if already visible
Comment 32 SVN Robot 2013-03-11 14:44:41 UTC
"af" committed SVN 0 into branches/sidebar:
121420: Fixed some sidebar panels.
Comment 33 SVN Robot 2013-03-12 15:08:41 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - svx::sidebar::ValueSetWithTextControl - new method <ReplaceItemIma...
Comment 34 SVN Robot 2013-03-18 17:14:06 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Improved the support for context changes.
Comment 35 SVN Robot 2013-03-19 11:33:33 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - correct define for slot in Writer - each slot need to have unique ID
Comment 36 SVN Robot 2013-03-20 10:51:05 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - adjust formatting of xcu
Comment 37 SVN Robot 2013-03-21 15:32:29 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Fixed the EmptyPanel.
Comment 38 SVN Robot 2013-03-21 15:37:15 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Removed obsolete support of detail dialogs from panels.
Comment 39 SVN Robot 2013-03-25 14:41:52 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Cleaned up naming of deck icons.
Comment 40 SVN Robot 2013-03-25 14:45:40 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Added support for Writer/Web.
Comment 41 SVN Robot 2013-04-02 09:22:30 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Improved keyboard navigation in sidebar. Fixed bug in sidebar gallery.
Comment 42 SVN Robot 2013-04-02 15:21:04 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Fixed the disappeared Impress panels.  Removed unused files in sd.
Comment 43 SVN Robot 2013-04-03 10:02:29 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Use AOO icons by default.
Comment 44 SVN Robot 2013-04-04 08:13:25 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - fix some build errors on Linux
Comment 45 SVN Robot 2013-04-04 08:27:45 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Avoid assertions on context switches during document destruction.
Comment 46 SVN Robot 2013-04-04 11:44:36 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Avoid assertion when broadcasting context changes while frame is bei...
Comment 47 SVN Robot 2013-04-05 13:09:04 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Bag of small fixes regarding UI and colors.
Comment 48 SVN Robot 2013-04-08 10:59:21 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Improved sizing for table panel.
Comment 49 SVN Robot 2013-04-08 13:58:27 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - fix for Linux build
Comment 50 SVN Robot 2013-04-09 07:58:30 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - solve conflicts of Resource-IDs and Slot-IDs
Comment 51 SVN Robot 2013-04-09 07:58:30 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - solve conflicts of Resource-IDs and Slot-IDs
Comment 52 SVN Robot 2013-04-09 13:02:15 UTC
"af" committed SVN 0 into branches/sidebar:
i121420: Fixed sizing and positioning of decks.
Comment 53 SVN Robot 2013-04-09 13:02:20 UTC
"orw" committed SVN 0 into branches/sidebar:
#121420# - resolve duplicate Slot on same UNO commands in Writer by removing ...
Comment 54 SVN Robot 2013-04-10 09:20:18 UTC
"orw" committed SVN 0 into trunk:
121420: merge sidebar feature from branch into trunk
Comment 55 SVN Robot 2013-04-11 13:04:58 UTC
"af" committed SVN 0 into trunk:
121420: Provide sidebar panels with XCanvas objects.
Comment 56 jsc 2013-04-23 08:32:11 UTC
set target
Comment 57 SVN Robot 2013-04-25 11:51:18 UTC
"orw" committed SVN 0 into trunk:
121420: apply context dependent Show Menu Commands according given panel conf...
Comment 58 Andre 2013-05-08 09:26:31 UTC
Created a new issue for all sidebar related enhancements: bug 122257.
Comment 59 Rainer Bielefeld 2013-05-09 07:13:22 UTC
I add "Bug 122260 - [sidebar]: 'Show Shapes' Icon truncated in Navigator Panel"
Comment 60 V Stuart Foote 2013-05-10 00:00:52 UTC
Cleaned up bug 122247 (keyboard traps) moving individual issues to bug 122270 (paragraph line spacing), bug 122271 (no description for content panel title), and bug 122272 (configuration menu items not updating tab bar objects).
Comment 61 Yuri Dario 2013-05-11 06:20:37 UTC
There is a file named %0D in default_images/svx/res/symphony, see

http://svn.apache.org/viewvc/openoffice/trunk/main/default_images/svx/res/symphony/%0D?view=log

this breaks checkout on os2 (svn client 1.6.12) and xp (sliksvn 1.6.17).
Comment 62 Rainer Bielefeld 2013-05-28 04:43:08 UTC
I add "Bug 122394 - [sidebar]: Selector names' vertical distance to selector wrong"
Comment 63 Rainer Bielefeld 2013-05-29 21:05:29 UTC
I add "Bug 122416 - [sidebar]: apply page-style 'landscape' page set to 'Landscape' in sidebar will result in portrait layout"
Comment 64 Rainer Bielefeld 2013-05-30 04:52:52 UTC
I add "Bug 122422 - [sidebar]: bad icons' visibility with Theme "High contrast"
Comment 65 Rainer Bielefeld 2013-06-01 15:32:01 UTC
I add "Bug 122432 - [sidebar] viewing: Text in DRAW Line properties dropdowns Style, Arrow truncated"

Hope you agree with ALIAS?
Comment 66 Rainer Bielefeld 2013-06-01 17:51:03 UTC
I add "Bug 122433 - [sidebar]: Extended tooltips shown in normal tooltips mode in Line and Area Decks"
Comment 67 V Stuart Foote 2013-06-04 16:51:20 UTC
Adding bug 122455 - confusing object sequence in panels disrupts keyboard navigation of UI--some re-sequencing required
Comment 68 Rainer Bielefeld 2013-06-06 04:34:17 UTC
I add "Bug 122484 - Slides Pane Context Menu does not change [sidebar] view 'Slide Layout <-> Slide Transition'"
Comment 69 Rainer Bielefeld 2013-06-07 04:59:40 UTC
I add:
"Bug 122491 - [Sidebar] - Properties - Position and size: Size info fields missing"
"Bug 122453 - [Sidebar] Position and Size: input fields empty, no values shown for position and size"
Comment 70 Rainer Bielefeld 2013-06-07 11:25:32 UTC
I add "Bug 122493 - CRASH when apply transparency to OLE object Area in [sidebar]"
Comment 71 Rainer Bielefeld 2013-06-30 08:08:43 UTC
Bug 122633 - [sidebar] Wrong translation for 'Margin' in section Page in Properties panel
Comment 72 Rainer Bielefeld 2013-06-30 08:50:31 UTC
I add 
"Bug 122651 - [sidebar]: Label "Seitenverhältnis beibehalten" (keep ratio) truncated in 'Position and Size' Panel by useless grey area"
"Bug 122652 - [sidebar]: width not sufficient to show all labels and other elements without truncation"
Comment 73 Andre 2013-07-15 13:06:28 UTC
Sidebar implementation is finished.  Vote for release of OpenOffice 4.0 is finished.  Therefore I close this meta bug as fixed.

Many thanks to everybody who has helped and contributed.